# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.1.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-textarea@1.1.0...@billogram/foundation-textarea@1.1.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-textarea@1.1.0) (2021-01-10)

### Bug Fixes

* Use arrow functions for useCallback callbacks ([8ee4239e](https://github.com/billogram/frontend-foundation/commit/8ee4239e))
* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix linting in foundation-textarea ([debabaa4](https://github.com/billogram/frontend-foundation/commit/debabaa4))
* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Don't track text state for textarea ([2998ea3c](https://github.com/billogram/frontend-foundation/commit/2998ea3c))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))
* Don't allow resize of disabled textarea ([b0d209b3](https://github.com/billogram/frontend-foundation/commit/b0d209b3))
* Set min height for textarea ([e1ef32af](https://github.com/billogram/frontend-foundation/commit/e1ef32af))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))
* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Implement FoundationTextarea ([9da30351](https://github.com/billogram/frontend-foundation/commit/9da30351))
* Scaffold out @billogram/foundation-textarea ([40f41806](https://github.com/billogram/frontend-foundation/commit/40f41806))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-textarea@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Don't track text state for textarea ([2998ea3c](https://github.com/billogram/frontend-foundation/commit/2998ea3c))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))
* Don't allow resize of disabled textarea ([b0d209b3](https://github.com/billogram/frontend-foundation/commit/b0d209b3))
* Set min height for textarea ([e1ef32af](https://github.com/billogram/frontend-foundation/commit/e1ef32af))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Implement FoundationTextarea ([9da30351](https://github.com/billogram/frontend-foundation/commit/9da30351))
* Scaffold out @billogram/foundation-textarea ([40f41806](https://github.com/billogram/frontend-foundation/commit/40f41806))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.
